Send invitation

Sends a new invitation.

POST
/v2/manage/invitations

Sends a new invitation.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Query Parameters

invitation_url?string

The URL to which the User will be redirected after accepting the invitation. This URL should be a valid URL and can include query parameters if needed.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/v2/manage/invitations?invitation_url=https%3A%2F%2Fexample.com%2Faccept-invite" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "roleIds": [      "role_12345",      "role_67890"    ],    "orgId": "org_123456789",    "inviterUid": "123456789"  }'
{
  "Id": "inv_123456789",
  "EmailId": "user@example.com",
  "Status": "invited",
  "RoleIds": [
    "role_12345",
    "role_56789"
  ],
  "OrgId": "org_123456789",
  "CreatedDate": "2023-01-01T00:00:00Z",
  "ExpirationDate": "2023-01-01T00:00:00Z",
  "ModifiedDate": "2023-01-01T00:00:00Z",
  "InviterUid": "123456789"
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Description": "The entered organization or its configuration does not exist.",
  "ErrorCode": 8118,
  "Message": "Organization not found"
}

{
  "ErrorCode": 8170,
  "Message": "User already exist in an organization",
  "Description": "User already exist in an organization, Please provide correct email id."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}